Search documentation of phoenix_kit

# PhoenixKit.Users.RateLimiter.Backend (phoenix_kit v1.6.19)

View Source

Hammer 7.x backend for rate limiting.

# Summary

## Functions

child_spec(opts)
get(key, scale)

Callback implementation for `Hammer.get/2`.

hit(key, scale, limit, increment \\ 1)

Callback implementation for `Hammer.hit/4`.

inc(key, scale, increment \\ 1)

Callback implementation for `Hammer.inc/3`.

set(key, scale, count)

Callback implementation for `Hammer.set/3`.

start_link(opts)

# Functions

# child_spec(opts)

# get(key, scale)

Callback implementation for `Hammer.get/2`.

# hit(key, scale, limit, increment \\ 1)

Callback implementation for `Hammer.hit/4`.

# inc(key, scale, increment \\ 1)

Callback implementation for `Hammer.inc/3`.

# set(key, scale, count)

Callback implementation for `Hammer.set/3`.

# start_link(opts)